Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class SingleJVMRemoteCommitProvider

    java.lang.Object
      org.apache.openjpa.event.AbstractRemoteCommitProvider
          org.apache.openjpa.event.SingleJVMRemoteCommitProvider

All Implemented Interfaces:
  RemoteCommitProvider, Configurable, Closeable

    public class SingleJVMRemoteCommitProvider

extends AbstractRemoteCommitProvider

Single-JVM-only implementation of `RemoteCommitProvider` that listens for object modifications and propagates those changes to other SingleJVMRemoteCommitProviders in the same JVM. This is only useful for linking together multiple factories in the same JVM that are all loaded in the same classloader, which is a rare circumstance.

Since:
  0.2.5.0
Author:
  Patrick Linskey

Field Summary

Fields inherited from class org.apache.openjpa.event.AbstractRemoteCommitProvider
`eventManager, log`

Constructor Summary
`SingleJVMRemoteCommitProvider()`

Method Summary
`void` | `broadcast(RemoteCommitEvent event)` Notifies other remote event managers in this JVM and on other machines of changes to the cache.
`void` | `close()` Free the resources used by this provider.

Methods inherited from class org.apache.openjpa.event.AbstractRemoteCommitProvider
`endConfiguration, fireEvent, setConfiguration, setRemoteCommitEventManager, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleJVMRemoteCommitProvider

    public SingleJVMRemoteCommitProvider()

Method Detail

### broadcast

    public void broadcast(RemoteCommitEvent event)

  Description copied from interface: `RemoteCommitProvider`
  Notifies other remote event managers in this JVM and on other machines of changes to the cache. This method must not notify the event manager associated with the broker that originated this commit.

### close

    public void close()

  Description copied from interface: `RemoteCommitProvider`
  Free the resources used by this provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.